Module ij
Package ij.process

# Class SignedShortProcessor

java.lang.Object
ij.process.ImageProcessor
ij.process.ShortProcessor
ij.process.SignedShortProcessor

All Implemented Interfaces:
  `Cloneable`

public class SignedShortProcessor extends ShortProcessor
An extended ShortProcessor that supports signed 16-bit images (experimental).

## Field Summary

### Fields inherited from class ij.process.ShortProcessor

`fixedScale, max, min, pixels, pixels8, snapshotMax, snapshotMin`

### Fields inherited from class ij.process.ImageProcessor

`antialiasedText, baseCM, BICUBIC, BILINEAR, BLACK, BLACK_AND_WHITE_LUT, BLUR_MORE, bLUT1, bLUT2, boldFont, CENTER_JUSTIFY, clipXMax, clipXMin, clipYMax, clipYMin, cm, cm2, CONVOLVE, cTable, cx, cy, defaultColorModel, drawingColor, fillValueSet, FIND_EDGES, fmGraphics, fmImage, font, fontMetrics, gLUT1, gLUT2, height, histogramMax, histogramMin, histogramSize, image, img, interpolate, interpolationMethod, inversionTested, INVERT_PROJECTION, invertedLut, ISODATA, ISODATA2, justification, LEFT_JUSTIFY, lineWidth, lutAnimation, lutUpdateMode, MAX, MAX_PROJECTION, maxThreshold, MEDIAN_FILTER, MIN, MIN_PROJECTION, minMaxSet, minThreshold, NEAREST_NEIGHBOR, newPixels, NO_LUT_UPDATE, NO_THRESHOLD, NONE, OVER_UNDER_LUT, raster, RED_LUT, RIGHT_JUSTIFY, rLUT1, rLUT2, rnd, roiHeight, roiWidth, roiX, roiY, sampleModel, seed, SET_FIRST_CHANNEL, snapshotHeight, snapshotWidth, source, SUM_PROJECTION, UPDATE_BLUE, UPDATE_GREEN, UPDATE_RED, width, xMax, xMin, yMax, yMin`

## Constructor Summary

Constructors
Constructor
Description
`SignedShortProcessor(int width, int height)`
Creates a blank SignedShortProcessor with the specified dimensions.
`SignedShortProcessor(ShortProcessor ip)`

## Method Summary

Modifier and Type
Method
Description
`Image`
`createImage()`
Create an 8-bit AWT image by scaling pixels in the range min-max to 0-255.
`void`
`findMinAndMax()`
`final int`
`get(int x, int y)`
This is a faster version of getPixel() that does not do bounds checking.
`int`
`getPixel(int x, int y)`
Returns the value of the pixel at (x,y).
`protected void`
`process(int op, double value)`

### Methods inherited from class ij.process.ShortProcessor

`abs, add, add, and, applyTable, convolve, convolve3x3, copyBits, createMask, createProcessor, crop, dilate, drawPixel, duplicate, erode, exp, fill, fill, filter, flipVertical, gamma, get, get16BitBufferedImage, getBackgroundValue, getBitDepth, getBufferedImage, getf, getf, getForegroundValue, getHistogram, getInterpolatedPixel, getMax, getMin, getPixelInterpolated, getPixels, getPixelsCopy, getPixelValue, getSnapshotPixels, invert, isSigned16Bit, log, max, maxValue, medianFilter, min, multiply, noise, or, putPixel, putPixelValue, reset, reset, resetMinAndMax, resize, rotate, scale, set, set, set, setBackgroundColor, setBackgroundValue, setColor, setf, setf, setLutAnimation, setMinAndMax, setPixels, setPixels, setSnapshotPixels, setThreshold, setValue, snapshot, sqr, sqrt, swapPixelArrays, threshold, toFloat, xor`

### Methods inherited from class ij.process.ImageProcessor

`applyMacro, autoThreshold, bin, blurGaussian, clone, convertToByte, convertToByteProcessor, convertToByteProcessor, convertToColorProcessor, convertToFloat, convertToFloatProcessor, convertToRGB, convertToShort, convertToShortProcessor, convertToShortProcessor, cubic, draw, drawDot, drawDot2, drawLine, drawLine4, drawOval, drawOverlay, drawPolygon, drawRect, drawRoi, drawString, drawString, drawString, fill, fillOutside, fillOval, fillPolygon, fillRect, fillValueSet, findEdges, flipHorizontal, getAutoThreshold, getAutoThreshold, getBestIndex, getBicubicInterpolatedPixel, getCalibrationTable, getColorModel, getColumn, getColumn, getCurrentColorModel, getDefaultColorModel, getFloatArray, getFont, getFontMetrics, getHeight, getHistogram, getHistogramMax, getHistogramMin, getHistogramSize, getIndexSampleModel, getIntArray, getInterpolate, getInterpolatedValue, getInterpolationMethod, getInterpolationMethods, getLine, getLineWidth, getLut, getLutUpdateMode, getMask, getMaskArray, getMaxThreshold, getMinThreshold, getNChannels, getNeighborhood, getOverlay, getPixel, getPixelCount, getProgressIncrement, getRoi, getRow, getRow, getSliceNumber, getStatistics, getStats, getStringBounds, getStringWidth, getThresholdColorModel, getValue, getWidth, hideProgress, insert, invertLut, isBinary, isColorLut, isDefaultLut, isGrayscale, isInvertedLut, isKillable, isPseudoColorLut, isThreshold, lineTo, ln, makeDefaultColorModel, maskSizeError, minValue, moveTo, putColumn, putColumn, putPixel, putRow, putRow, resetBinaryThreshold, resetRoi, resetThreshold, resize, resize, resizeLinearly, rotateLeft, rotateRight, scaleAndSetThreshold, setAntialiasedText, setAutoThreshold, setAutoThreshold, setAutoThreshold, setAutoThreshold, setAutoThreshold, setBinaryThreshold, setCalibrationTable, setClipRect, setColor, setColor, setColor, setColorModel, setFloatArray, setFont, setFontSize, setGlobalBackgroundColor, setGlobalForegroundColor, setHistogramRange, setHistogramSize, setIntArray, setInterpolate, setInterpolationMethod, setJustification, setLineWidth, setLut, setMask, setOverColor, setOverlay, setProgressBar, setRandomSeed, setRoi, setRoi, setRoi, setRoi, setSliceNumber, setSnapshotCopyMode, setThreshold, setUnderColor, setUseBicubic, sharpen, showProgress, smooth, subtract, threshold, toString, translate, translate, updateComposite`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SignedShortProcessor

public SignedShortProcessor(int width, int height)
Creates a blank SignedShortProcessor with the specified dimensions.

### SignedShortProcessor

public SignedShortProcessor(ShortProcessor ip)

## Method Details

### findMinAndMax

public void findMinAndMax()

Overrides:
  `findMinAndMax` in class `ShortProcessor`

### createImage

public Image createImage()
Create an 8-bit AWT image by scaling pixels in the range min-max to 0-255.

Overrides:
  `createImage` in class `ShortProcessor`

### getPixel

public int getPixel(int x, int y)
Description copied from class: `ImageProcessor`
Returns the value of the pixel at (x,y). For RGB images, the argb values are packed in an int. For float images, the the value must be converted using Float.intBitsToFloat(). Returns zero if either the x or y coodinate is out of range. Use getValue(x,y) to get calibrated values from 8-bit and 16-bit images, to get intensity values from RGB images and to get float values from 32-bit images.

Overrides:
  `getPixel` in class `ShortProcessor`
See Also:
  - `ImageProcessor.getValue(int, int)`

### get

public final int get(int x, int y)
Description copied from class: `ImageProcessor`
This is a faster version of getPixel() that does not do bounds checking.

Overrides:
  `get` in class `ShortProcessor`

### process

protected void process(int op, double value)

Overrides:
  `process` in class `ShortProcessor`